package com.ydl.component.service;

import android.app.Activity;
import android.content.Context;

import com.alibaba.android.arouter.facade.annotation.Route;
import com.tencent.smtt.sdk.WebView;
import com.ydl.component.service.web.WVClickAbstractListener;
import com.ydl.component.service.web.WebJavascriptHandler;
import com.ydl.webview.IJavascriptHandler;
import com.ydl.webview.IWebService;
import com.ydl.webview.TellData;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

/**
 * Created by haorui on 2019-10-10.
 * Des:
 */
@Route(path = "/web/webservice")
public class WebServiceImpl implements IWebService {

    @Override
    public void init(Context context) {

    }

    @NotNull
    @Override
    public IJavascriptHandler getJavascripHandler(@NotNull Activity activity, @Nullable WebView webView, @NotNull TellData tellData) {
        return new WebJavascriptHandler(webView, new WVClickAbstractListener(activity));
    }
}
