package com.yidianling.home.http

import com.ydl.ydlcommon.base.config.YDL_DOMAIN
import com.ydl.ydlcommon.base.config.YDL_DOMAIN_JAVA
import com.ydl.ydlcommon.data.http.BaseAPIResponse
import com.yidianling.home.model.bean.MeditationModuleBean
import com.yidianling.home.model.bean.MuseModuleBean
import io.reactivex.Observable
import retrofit2.http.GET
import retrofit2.http.Headers

/**
 * @author jiucheng
 * @描述:首页接口api
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/8/22
 */
interface HomePagerApi {

    //壹点 - 冥想
    @GET("meditation/meditation/list")
    @Headers(YDL_DOMAIN + YDL_DOMAIN_JAVA)
    fun getMuseData(): Observable<BaseAPIResponse<MuseModuleBean>>

    @GET("cms/meditation/index")
    @Headers(YDL_DOMAIN + YDL_DOMAIN_JAVA)
    fun getMeditation(): Observable<BaseAPIResponse<MeditationModuleBean>>

}